[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TClassList.Extract

Extract a class pointer from the list.

## Declaration

Source position: contnrs.pp line 122

`public function TClassList.Extract(`
`Item: TClass`
`):TClass;`

## Arguments

`Item` |  | Class pointer to extract from the list

## Function result

The extracted class pointer or Nil if none was found.

## Description

Extract extracts a class pointer Item from the list, if it is present in the list. It returns the extracted class pointer, or Nil if the class pointer was not present in the list. It simply overrides the implementation in TList so it accepts a class pointer instead of a simple pointer. No new behaviour is introduced.

## Errors

None.

## See also

TClassList.Remove |  | Remove a class pointer from the list.
#rtl.classes.Tlist.Extract